---------------------
PatchSet 6174 
Date: 2007/11/23 00:28:35
Author: amosjeffries
Branch: squid3-ipv6
Tag: (none) 
Log:
dynamic_cast apparently fails on const objects.

Members: 
	include/IPAddress.h:1.1.2.42->1.1.2.43 
	lib/IPAddress.cc:1.1.2.75->1.1.2.76 

Index: squid3/include/IPAddress.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/include/Attic/IPAddress.h,v
retrieving revision 1.1.2.42
retrieving revision 1.1.2.43
diff -u -r1.1.2.42 -r1.1.2.43
--- squid3/include/IPAddress.h	22 Nov 2007 23:39:22 -0000	1.1.2.42
+++ squid3/include/IPAddress.h	23 Nov 2007 00:28:35 -0000	1.1.2.43
@@ -1,5 +1,5 @@
 /*
- * $Id: IPAddress.h,v 1.1.2.42 2007/11/22 23:39:22 amosjeffries Exp $
+ * $Id: IPAddress.h,v 1.1.2.43 2007/11/23 00:28:35 amosjeffries Exp $
  *
  * DEBUG: section 14    IP Storage and Handling
  * AUTHOR: Amos Jeffries
@@ -99,7 +99,7 @@
      \deprecated Use of pointers can be nasty. Consider this a last-resort.
      *           Prefer the by-reference (&) version instead.
      */
-    IPAddress(const IPAddress *);
+    IPAddress(IPAddress *);
 
     IPAddress(const struct in_addr &);
 
@@ -121,7 +121,7 @@
     /** @name Assignment Operators */
     /*@{*/
     IPAddress& operator =(const IPAddress &s);
-    IPAddress& operator =(const IPAddress *s);
+    IPAddress& operator =(IPAddress *s);
 
     IPAddress& operator =(struct sockaddr_in const &s);
 
Index: squid3/lib/IPAddress.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/lib/Attic/IPAddress.cc,v
retrieving revision 1.1.2.75
retrieving revision 1.1.2.76
diff -u -r1.1.2.75 -r1.1.2.76
--- squid3/lib/IPAddress.cc	22 Nov 2007 23:39:22 -0000	1.1.2.75
+++ squid3/lib/IPAddress.cc	23 Nov 2007 00:28:35 -0000	1.1.2.76
@@ -1,5 +1,5 @@
 /*
- * $Id: IPAddress.cc,v 1.1.2.75 2007/11/22 23:39:22 amosjeffries Exp $
+ * $Id: IPAddress.cc,v 1.1.2.76 2007/11/23 00:28:35 amosjeffries Exp $
  *
  * DEBUG: section 14   IP Storage and Handling
  * AUTHOR: Amos Jeffries
@@ -633,13 +633,13 @@
     operator=(s);
 }
 
-IPAddress::IPAddress(const IPAddress *s)
+IPAddress::IPAddress(IPAddress *s)
 {
     SetEmpty();
     operator=(s);
 }
 
-IPAddress& IPAddress::operator =(const IPAddress *s)
+IPAddress& IPAddress::operator =(IPAddress *s)
 {
     IPAddress *tmp = NULL;
     if(!s) return *this;
